#! /bin/sh
#
# Ladet die aktuellen Spielergebnisse der 1.Bundesliga herunter.
# Created by cHrIsZ
# 27. Februar 2007

PATH=$PATH:/usr/bin/:/usr/local/bin

#DATADIR=$1
DATADIR=/etc/vdr/plugins/sport
SORT="$DATADIR/1BL_Ergebnisse.pl"

CHAMPRESULTURL="http://sport.ard.de/sp/layout/php/ticker/index.phtml?ea=1bl07"
GET1="wget -O - -q"

echo "1BL_Ergebnisse.sh DATADIR = $DATADIR"

#CONTENTCHAMP=`$GET1 $CHAMPRESULTURL |sed -e '/<tr.*td.*/!d' -e '/<tr.*td.*/{n;!p;}'|sed  -e 's/.*[0-9][0-9][0-9]">/ /' -e 's/<\/a><\/td>/ /' -e 's/.*stat.*[0-9,:]">//' -e 's/<.*\/td>//' -e 's/\(.*-.*\)/\1\n/' -e 's/Hertha BSC Berlin/Hertha Berlin/' -e 's/Borussia Dortmund/Bor. Dortmund/' -e 's/FC Bayern München/Bayern München/' -e 's/Eintracht Frankfurt/Eint. Frankfurt/' -e 's/Borussia M'gladbach/Bor. M'Gladbach/' -e 's/Bayer 04 Leverkusen/Bay. Leverkusen/' -e 's/DSC Arminia Bielefeld/Arm. Bielefeld/' -e 's/TSV Alemannia Aachen/Alem. Aachen/' |grep -v "<.*>"` 
CONTENTCHAMP=`$GET1 $CHAMPRESULTURL |sed -e '/<tr.*td.*/!d' -e '/<tr.*td.*/{n;!p;}'|sed  -e 's/.*[0-9][0-9][0-9]">/ /' -e 's/<\/a><\/td>/ /' -e 's/.*stat.*[0-9,:]">//' -e 's/<.*\/td>//' -e 's/\(.*-.*\)/\1\n/' -e 's/Hertha BSC Berlin/Hertha Berlin/' -e 's/FC Bayern München/Bayern München/' -e 's/Eintracht Frankfurt/Eint. Frankfurt/' -e 's/Borussia/Bor. /' -e 's/Bayer 04 Leverkusen/Bay. Leverkusen/' -e 's/DSC Arminia Bielefeld/Arm. Bielefeld/' -e 's/TSV Alemannia Aachen/Alem. Aachen/' |grep -v "<.*>"` 





CHAMPRESULTFILE="$DATADIR/1BL_Ergebnisse.txt"


IFS=""

for i in $CONTENTCHAMP
do
  START=`echo "$i"|grep \-`
  if [ "$START"x != "x" ]
  then
    echo "$i"
    echo ""
  else
    echo ""
    echo "$i"
  fi
done

echo $CONTENTCHAMP | $SORT > $CHAMPRESULTFILE